Download it now!
Bug 30862 - Layout of User Data form in Preferences too narrow
Summary: Layout of User Data form in Preferences too narrow
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low trivial
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-14 03:48 UTC by Jan te Kiefte
Modified: 2013-02-20 13:04 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Annotated screenshot (88.94 KB, image/png)
2010-10-26 06:51 UTC, Jan te Kiefte
Details
screenshot on master sources (37.07 KB, image/png)
2012-08-06 21:14 UTC, Julien Nabet
Details
Screenshot of Address form (26.24 KB, image/png)
2012-08-07 07:27 UTC, Jan te Kiefte
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan te Kiefte 2010-10-14 03:48:45 UTC
The "Initials" and "ZIP" fields of the User Data form in Preferences are too narrow.
Comment 1 Noel Power 2010-10-26 06:38:56 UTC
I wonder can you provide a screen shot?
Comment 2 Jan te Kiefte 2010-10-26 06:51:25 UTC
Created attachment 39787 [details]
Annotated screenshot
Comment 3 Jan te Kiefte 2010-10-26 06:53:10 UTC
Please note that in some countries longer zip codes are used. My zip for example is 1013 AW
Comment 4 Rainer Bielefeld Retired 2010-12-16 11:02:06 UTC
[Reproducible] with "LibreOffice 3.3.0 RC1 - WIN XP German UI  [OOO330m17 (build 3.3.0.1". For me the panes are not too narrow, but I see, it can be too short for some needs. And if the pane for zip code will we enlarged, we will get a complaint from Iceland because we waste room ;-)

Concerning paraph: It seems to be common sense in business to use 2 characters in general, but we should no force users to do so.

@Sophie, can you help with a hint?

Here
<http://de.wikipedia.org/wiki/Liste_der_Postleitsysteme>
I found that some countries use until 10 characters (Brasilia, USA), I wonder whether that's considered in those localizations?
Comment 5 Björn Michaelsen 2011-12-23 11:34:30 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 6 Julien Nabet 2012-08-06 21:14:57 UTC
Created attachment 65210 [details]
screenshot on master sources

On pc Debian x86-64, with master sources updated today, I tried to reproduce the problem.
It seems there's enough place now.

Jan te Kiefte: could you give a try to a newer LO version (last one is 3.5.5) ?
Comment 7 Jan te Kiefte 2012-08-07 07:27:25 UTC
Created attachment 65220 [details]
Screenshot of Address form

1. For Initials  I tried "J.B." and the second dot seems truncated;

2. For Zip I tried "1013AW" and the final W is partly truncated.
(Zip codes for the Netherlands consist of four digits and two letters, optionally separated by a space, like "1013 AW".
Comment 8 Jan te Kiefte 2012-08-07 07:28:14 UTC
1. For Initials  I tried "J.B." and the second dot seems truncated;

2. For Zip I tried "1013AW" and the final W is partly truncated.
(Zip codes for the Netherlands consist of four digits and two letters, optionally separated by a space, like "1013 AW".
Comment 9 Julien Nabet 2012-08-07 08:20:55 UTC
You meant with 3.5.5 ?
Comment 10 Jan te Kiefte 2012-08-07 08:33:51 UTC
(In reply to comment #9)
> You meant with 3.5.5 ?

Sure, 
LibreOffice 3.5.5.3 
Build ID: 7122e39-92ed229-498d286-15e43b4-d70da21
Comment 11 Julien Nabet 2012-08-07 08:40:41 UTC
Ok thank you for your feedback, I put it back to "New" status.
Comment 12 Robert Roth 2013-01-27 22:29:16 UTC
Based on a quick run-through ok the Postal codes wiki page [1] a postal code can be up to 14 characters long (South Korea), so that should fit all postal codes.
[1] http://en.wikipedia.org/wiki/List_of_postal_codes
Comment 13 Julien Nabet 2013-01-29 22:12:15 UTC
Caolán: one for you? (thinking about your work on converting src->ui)
Comment 14 Caolán McNamara 2013-02-11 14:17:55 UTC
Yeah, at least probably, and if not makes it easier to fix. This page is currently queued for conversion at sw/uiconfig/swriter/ui/libuserdata.ui it needs to be moved into the right place in cui and the code there adapted to use it, at which point this bug either goes away, or some relatively small tweaks will do that.
Comment 15 Caolán McNamara 2013-02-19 23:49:28 UTC
wrt. "a postal code can be up to 14 characters long (South Korea)" I believe that "NNNNNN (NNN-NNN)" means that the format is a 6 digit code of "NNNNNN", alternatively written as "NNN-NNN" rather than an actual 14char postal code. Maybe leaving space for 9 is a acceptable default.
Comment 16 Caolán McNamara 2013-02-20 12:13:52 UTC
yoinking this now that this tab page has bubbled to the top of the conversion queue
Comment 17 Not Assigned 2013-02-20 13:03:41 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4c2ff9d048addd680799bf4aa28c5bb7b68eec71

Resolves: fdo#30862 move user options page to cui and adapt code



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.